Ownership verification reviewed
The ownership proof submitted for numbers hosted with another provider was approved or rejected.
Sent to the enterprise’s ownership webhook URL (PATCH /enterprises/{enterprise_id}/reputation/webhook). This webhook uses Telnyx headers (telnyx-timestamp, telnyx-signature-ed25519) that are compatible with Standard Webhooks specification for SDK generation. Custom validation logic can map these to standard webhook-timestamp and webhook-signature equivalents. See https://github.com/standard-webhooks/standard-webhooks for details.
{
"data": {
"record_type": "event",
"id": "0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
"occurred_at": "2026-10-05T07:00:12.521992Z",
"event_type": "number_reputation.external_verification.status_changed",
"payload": {
"record_type": "reputation_external_verification",
"enterprise_id": "4a6192a4-573d-446d-b3ce-aff9117272a6",
"status": "approved",
"rejection_reason": null,
"reviewed_at": "2026-10-06T14:03:10+00:00"
}
},
"meta": {
"attempt": 1,
"delivered_to": "https://example.com/webhooks/telnyx"
}
}Authorizations
Telnyx API key. Generate one at https://portal.telnyx.com/#/app/api-keys.
Headers
Unix timestamp (seconds since epoch) of when the webhook was sent - compatible with webhook-timestamp
Ed25519 signature of the payload - compatible with webhook-signature
Body
Response
Return an HTTP 200 to acknowledge receipt; otherwise delivery is retried.
Was this page helpful?
{
"data": {
"record_type": "event",
"id": "0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
"occurred_at": "2026-10-05T07:00:12.521992Z",
"event_type": "number_reputation.external_verification.status_changed",
"payload": {
"record_type": "reputation_external_verification",
"enterprise_id": "4a6192a4-573d-446d-b3ce-aff9117272a6",
"status": "approved",
"rejection_reason": null,
"reviewed_at": "2026-10-06T14:03:10+00:00"
}
},
"meta": {
"attempt": 1,
"delivered_to": "https://example.com/webhooks/telnyx"
}
}